--------------------------------------------------------------------
-- |
-- Module      : FriendFeed.Service
-- Description : Binding to the service-related FriendFeed API
-- Copyright   : (c) Sigbjorn Finne, 2008
-- License     : BSD3
--
-- Maintainer: Sigbjorn Finne <sof@forkIO.com>
-- Stability : provisional
-- Portability: portable
--
-- Action for fetching the current services supported by FriendFeed.
-- 
--------------------------------------------------------------------
module FriendFeed.Service where

import FriendFeed.Types
import FriendFeed.Types.Import ()
import FriendFeed.Monad

-- | Lists all services currently supported by FriendFeed.
getServices :: FFm [Service]
getServices = 
 ffeedTranslateLs "services" $
  ffeedCall ["services"] []

